Loading...
Searching...
No Matches
Headers

This submodule contains the functions and types for handling message headers and other elements. More...

## Topics

| Erroneous Headers
| The erroneous headers are stored in msg_error_t structure.
| Unknown Headers
| The unknown headers are handled with msg_unknown_t structure.
| Message Body
| The payload object contains the message body.
| Message Separator
| An empty line separates headers from the message body.

## Files

file | msg_header.h
| Message headers.
file | msg_protos.h
| Prototypes for common headers.

## Functions

size_t | msg_params_copy_xtra (msg_param_t const pp[], size_t offset)
| Calculate size of a parameter vector.

## Detailed Description

This submodule contains the functions and types for handling message headers and other elements.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.